import sys
from Bio import Phylo
import matplotlib.pyplot as plt

if len(sys.argv) != 3:
    print("Usage: python phylogeny.py in_file_newick out_image_png")
    sys.exit(1)

in_file = sys.argv[1]
out_file = sys.argv[2]

tree = Phylo.read(in_file, "newick")

plt.figure(figsize=(8, 8))
Phylo.draw(tree)

plt.savefig(out_file)

print(f"Tree visualization saved to {out_file}")
